Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        wrappers around dbus to ease integrating dbus with EFL based applications
Name:           enlightenment_dbus
Version:        20071209
Release:        1
License:        BSD
URL:            http://www.enlightenment.org
Group:          Graphical Desktop/Enlightenment17
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  dbus-devel exml-devel etk-devel SDL-devel imlib2-devel
BuildRequires:  libX11-devel libXcursor-devel libXdamage-devel libXext-devel
BuildRequires:  libXfixes-devel libXinerama-devel libXp-devel libXrandr-devel
BuildRequires:  DirectFB-devel ecore-devel evas-devel edje-devel eet-devel
BuildRequires:  embryo-devel expat-devel fontconfig-devel freetype-devel
BuildRequires:  libidn-devel libjpeg-devel openldap-devel cyrus-sasl-devel
BuildRequires:  openssl-devel libxslt-devel zlib-devel libpng-devel hal-devel

%description
This is the start of some basic convenience wrappers around 
dbus to ease integrating dbus with EFL based applications.

When using e_dbus, direct use of the low level dbus api is 
still heavily required for processing messages.

A few things to note:

e_dbus_bus_get() currently creates a new private connection 
to whichever bus is passed in, and hooks this into the ecore 
main loop. At some point, we should implement internal 
refcounting and sharing of these private connections (one 
for each bus type) so that e.g. multiple modules in an app 
can reuse the same connection. libdbus implements its own 
shared connections (available via dbus_bus_get()), but the 
final reference is always retained by libdbus iteself, 
causing any cleanup handlers on the connection to only be 
called at app exit. Thus, if a module hooks a connection 
in to the mainloop, there is no way to clean up fully before 
unloading the module, causing issues.

This code is still in its infancy, and although works, may 
have some rough edges. The design is not set in stone, so 
feel free to propose (and implement) changes / improvements.


%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %name

%build
./autogen.sh
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr (-, root, root)
%_bindir/e_dbus_*
%_libdir/*.so.*

%files devel
%defattr (-, root, root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_pkgconfig/*

%clean
rm -rf %{buildroot}

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Initial release

